Get a transfer
GET
/transfers/{transfer_id}Authorization
X-API-KeyAPI key · headerrequiredAPI key in format `sk_*`. Scoped to your partner account; server-side use only.
Path parameters
transfer_idstring<uuid>requiredResponses
200Transfer detail.
created_atstring<date-time>requiredexternal_refstring | nullidstring<uuid>requiredqidsQID[]requiredstatusTransferStatusrequiredAllowed:
requestedcompleteddeclinedcancelledtypeTransferTyperequiredAllowed:
sell_backupdated_atstring<date-time>required400Validation failed.
codeErrorCoderequiredStable machine-readable error vocabulary for v1.
Allowed:
validation_errorstate_conflictenvironment_mismatchunsupported_destinationinvalid_api_keynot_foundrate_limitedextraobjectrequiredStructured details such as field errors or SKU availability.
messagestringrequiredHuman-readable summary.
401Missing, invalid, expired, or environment-mismatched API key.
codeErrorCoderequiredStable machine-readable error vocabulary for v1.
Allowed:
validation_errorstate_conflictenvironment_mismatchunsupported_destinationinvalid_api_keynot_foundrate_limitedextraobjectrequiredStructured details such as field errors or SKU availability.
messagestringrequiredHuman-readable summary.
404No such resource exists for this partner and environment.
codeErrorCoderequiredStable machine-readable error vocabulary for v1.
Allowed:
validation_errorstate_conflictenvironment_mismatchunsupported_destinationinvalid_api_keynot_foundrate_limitedextraobjectrequiredStructured details such as field errors or SKU availability.
messagestringrequiredHuman-readable summary.
429Rate limit exceeded for this API key.
codeErrorCoderequiredStable machine-readable error vocabulary for v1.
Allowed:
validation_errorstate_conflictenvironment_mismatchunsupported_destinationinvalid_api_keynot_foundrate_limitedextraobjectrequiredStructured details such as field errors or SKU availability.
messagestringrequiredHuman-readable summary.
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.vault.stashtab.gg/v1/transfers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
-H "X-API-Key: YOUR_API_KEY"const response = await fetch("https://api.vault.stashtab.gg/v1/transfers/497f6eca-6276-4993-bfeb-53cbbbba6f08", {
method: "GET",
headers: {
"X-API-Key": "YOUR_API_KEY"
}
});Response
{
"created_at": "2019-08-24T14:15:22Z",
"external_ref": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"qids": [
"7c9e6679-7425-40de-944b-e07fc1f90ae7"
],
"status": "requested",
"type": "sell_back",
"updated_at": "2019-08-24T14:15:22Z"
}{
"code": "validation_error",
"extra": {},
"message": "string"
}{
"code": "validation_error",
"extra": {},
"message": "string"
}{
"code": "validation_error",
"extra": {},
"message": "string"
}{
"code": "validation_error",
"extra": {},
"message": "string"
}